﻿using System.Data.Services;
using Telerik.Examples.Data;
using System.ServiceModel;

namespace Telerik.Examples.Services
{
	[ServiceBehavior(IncludeExceptionDetailInFaults = true)]
	public class ProductService : DataService<NorthwindEntityContext>
	{
		public static void InitializeService(IDataServiceConfiguration config)
		{
			config.SetEntitySetAccessRule("Products", EntitySetRights.AllRead);
			config.SetEntitySetAccessRule("Categories", EntitySetRights.AllRead);
		}
	}
}
